Page MenuHomePhabricator

RESTBase test suite can't use parsoid-lb endpoint
Closed, ResolvedPublic

Description

The parsoid-lb endpoint is going away; RESTBase needs to have some other way of running tests.

Event Timeline

cscott created this task.Aug 28 2015, 6:45 PM
cscott raised the priority of this task from to Normal.
cscott updated the task description. (Show Details)
cscott added a project: RESTBase.
cscott added a subscriber: cscott.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 28 2015, 6:45 PM
Pchelolo claimed this task.Oct 14 2015, 3:22 PM
Pchelolo set Security to None.

Here's a PR that switches all RESTBase tests to a labs parsoid: https://github.com/wikimedia/restbase/pull/378

The only thing left to decide, is which host to use in config.example.wikimedia.yaml for local manual testing.

mobrovac closed this task as Resolved.Oct 21 2015, 6:14 PM
mobrovac added a subscriber: mobrovac.

Merged && "deployed" :)